function [pozice,CWT] = cwtdetectpoints(fun,scale,wave)
% Funkce pro detekci nadprahových extrémů pomocí spojité vlnkové
% transformace (CWT). Výstup je vektor pozic detekovaných extrémů. Vstup je
% název vlnky, měřitko a analyzovaná funkce

delka = round(length(fun)/20); %délka prodloužených častí
poc = fun(1)*ones(1,delka); %opakování první hodnoty funkce
kon = fun(end)*ones(1,delka); %opakování poslední hodnoty funkce
fun = [poc fun kon]; %prodlouženi funkce kvůli okrajovým jevům

CWT = cwt(fun,scale,wave); %spojitá vlnková transformace
CWT = CWT(delka+1:end-delka); %odstranění prodloužených částí
pozice = []; %deklarace pozice
rozptyl = var(CWT); %rozptyl koeficientů CWT
if rozptyl>=0.15 %pokud je rozptyl větší než 0,15
    prah = std(CWT)*1.6; %práh
    for i=2:length(CWT)-1 %detekce nadprahových extrémů
        if CWT(i)>CWT(i-1) && CWT(i)>CWT(i+1) && CWT(i)>=prah
            pozice = [pozice i];
        end
    end
end
end